Bug 1019723 - [origin_ui_82]Could not deploy successfully for scaled-up gear via rhc deploy
[origin_ui_82]Could not deploy successfully for scaled-up gear via rhc deploy
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Andy Goldstein
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 05:42 EDT by Wei Sun
Modified: 2015-05-14 19:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:24:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei Sun 2013-10-16 05:42:13 EDT
Description of problem:
Create a scaling  application ,and scale up the app.Then try to  disable auto-deploy,and change something.After deploy the change via `rhc deploy`,check  all gears' url,but only web gear is changed,scaled-up gear is not changed.

Version-Release number of selected component (if applicable):
devenv_3901
fork_ami_origin_ui_82_910
rhc-1.16.0 (build from fork_ami_origin_ui_82_910)


How reproducible:
Always

Steps to Reproduce:
1.Create a scalable app
2.Scale up the app via RHC
3.Disable auto-deploy via rhc
4.Change something in local repo,and commit
5.Deploy the change via rhc
6.Check app's gears' url
7.Access all gears' url

Actual results:
5.[wsun@dhcp-8-229 perls]$ rhc deploy 0d66700 -a perls
Deployment of git ref '0d66700' in progress for application perls ...
Stopping Perl cartridge
[Wed Oct 16 03:55:29 2013] [warn] PassEnv variable SHELL was undefined
[Wed Oct 16 03:55:29 2013] [warn] PassEnv variable USER was undefined
[Wed Oct 16 03:55:29 2013] [warn] PassEnv variable LOGNAME was undefined
Waiting for stop to finish
Syncing git content to other proxy gears
Building git ref '0d66700', commit 0d66700
Building Perl cartridge
Preparing build for deployment
Prepared deployment artifacts in /var/lib/openshift/525e441770466935900001c6/app-deployments/2013-10-16_03-55-30.097
Deployment id is 7d1d8be5
Distributing deployment to child gears
Activating deployment
Starting Perl cartridge
Success

6.[wsun@dhcp-8-229 test]$ rhc app-show perls --gears
ID                       State   Cartridges            Size  SSH URL
------------------------ ------- --------------------- ----- -----------------------------------------------------------------------------
525e441770466935900001c6 started perl-5.10 haproxy-1.4 small 525e441770466935900001c6@perls-wsunfork910.dev.rhcloud.com
525e44a4704669075e000005 started perl-5.10 haproxy-1.4 small 525e44a4704669075e000005@525e44a4704669075e000005-wsunfork910.dev.rhcloud.com

7.For scale-up gear,change is not deployed.

Expected results:
Change should be deployed for all gears.

Additional info:
Comment 1 Meng Bo 2013-10-22 06:27:09 EDT
Checked on devenv_3927,

After gear deploy on the head gear, do a remotedeploy with deployments datetime, the deployment on the 2nd web gear can be activated.
Comment 2 Andy Goldstein 2013-10-23 08:18:38 EDT
https://github.com/openshift/origin-server/pull/3955
Comment 3 Wei Sun 2013-10-23 20:28:16 EDT
Verified on devenv_3937

After deploying for a scalable app via rhc deploy,changes are deployed for all gears.

Note You need to log in before you can comment on or make changes to this bug.